## quagga 1.1.1

=== debian/changelog ===
quagga (1.1.1-3+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * bgpd/security: invalid attr length sends NOTIFY with data overrun
    (CVE-2018-5378)
    Security issue: Quagga-2018-0543
  * bgpd/security: Fix double free of unknown attribute (CVE-2018-5379)
    Security issue: Quagga-2018-1114
  * bgpd/security: debug print of received NOTIFY data can over-read msg array
    (CVE-2018-5380)
    Security issue: Quagga-2018-1550
  * bgpd/security: fix infinite loop on certain invalid OPEN messages
    (CVE-2018-5381)
    Security issue: Quagga-2018-1975

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 13 Feb 2018 22:54:57 +0100

quagga (1.1.1-3+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * bgpd: Fix AS_PATH size calculation for long paths (CVE-2017-16227)
    (Closes: #879474)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 30 Oct 2017 06:25:29 +0100

quagga (1.1.1-3) unstable; urgency=medium

  * Fix upgrade file conflict with old quagga packages (Closes: #859581).

 -- Scott Leggett <scott@sl.id.au>  Wed, 05 Apr 2017 21:41:14 +1000

quagga (1.1.1-2) unstable; urgency=medium

  * Remove libquagga0 and libquagga-dev binary packages (Closes: #856936).
    - Move shared objects into quagga-core, as they are currently intended
      by upstream to be private.
    - Avoid shipping headers and static libraries at all.
    - Upstream plans to ship with a stable API/ABI in future, and these
      changes will be reviewed then.

 -- Scott Leggett <scott@sl.id.au>  Sun, 26 Mar 2017 23:04:32 +1100

quagga (1.1.1-1) unstable; urgency=low

  * SECURITY:
    - New upstream bugfix release, fixes CVE-2017-5495 (Closes: #852454).
  * Remove patch disabling debug print statements; fixed upstream.
  * Update libquagga0.symbols for libzebra SONAME bump.

 -- Scott Leggett <scott@sl.id.au>  Fri, 27 Jan 2017 10:48:50 +1100

quagga (1.1.0-3) unstable; urgency=low

  * Update .service file patch (Closes: #849953).

 -- Scott Leggett <scott@sl.id.au>  Tue, 03 Jan 2017 22:07:12 +0800

quagga (1.1.0-2) unstable; urgency=low

  * Fix autopkgtests.
  * Check for existing dpkg-statoverride on /etc/quagga (Closes: #847355).

 -- Scott Leggett <scott@sl.id.au>  Fri, 09 Dec 2016 22:56:55 +1100

quagga (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #774760, #516226, #830515)
  * Import packaging from the last debian release 1.0.20160315-3.
  * Remove dump_fix.patch applied upstream.
  * Remove patch which is no longer relevant.
  * Remove patch for CVE-2016-1245 fixed upstream.
  * Rely on automatic -dbgsym package rather than deprecated -dbg.
  * Remove deprecated XS-testsuite header in debian/control.
  * Remove template comment from debian/watch.
  * Add patch to fix spelling and grammar errors.
  * Register quagga-doc with doc-base.
  * Add patch to fix ospfclient(8) manpage numbering.
  * Added patch to avoid debug print statements on vtysh startup.
  * Adopt package, set myself as maintainer (Closes: #836418).
  * Add quagga user to quaggavty group in preinst.
  * Drop patch for Debian pager default in vtysh (Closes: #788243).
  * Update debian/copyright.
  * Bump compat level to 10 (Closes: #534833).
  * Use systemd .service files rather than init.d scripts (Closes: #678946,
    #805840, #839819, #412483).
  * Split quagga package out into multiple packages (Closes: #705306).
  * Remove debconf question which left packages in inconsistent state.
  * Add patch for manpage versioning.
  * Update README.Debian, README.Maintainer.
  * Removed patch on vtysh.conf.
  * Add NEWS.Debian about the major changes to the package.

 -- Scott Leggett <scott@sl.id.au>  Mon, 21 Nov 2016 21:30:12 +1100

quagga (1.0.20160315-3) unstable; urgency=high

  * Apply patch to fix CVE-2016-1245.  Closes: #841162.

 -- Florian Weimer <fw@deneb.enyo.de>  Tue, 18 Oct 2016 22:06:18 +0200
