=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Set binary version
include /usr/share/dpkg/pkg-info.mk
export QUAGGA_VERSION = $(DEB_VERSION_UPSTREAM)

# Filter VCS files
export DH_ALWAYS_EXCLUDE = .gitignore

%:
	dh $@ --parallel --with autotools_dev --list-missing

override_dh_auto_configure:
	# disable snmp due to openssl licensing issues
	# disable watchquagga since we rely on systemd
	dh_auto_configure -- \
		--enable-exampledir=/usr/share/doc/quagga/examples/ \
		--localstatedir=/run/quagga \
		--sysconfdir=/etc/quagga \
		--disable-watchquagga \
		--with-libpam \
		--enable-user=quagga \
		--enable-group=quagga \
		--enable-vty-group=quaggavty \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		--enable-multipath=64 \
		--libdir=/usr/lib/quagga \
		$(shell dpkg-buildflags --export=cmdline)

override_dh_auto_build:
	dh_auto_build
	# build useful docs
	dh_auto_build -- -C doc/ quagga.pdf draft-zebra-00.txt versioned_manpages

override_dh_auto_install:
	dh_auto_install
	# clean .la files for lintian warning non-empty-dependency_libs-in-la-file
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/**/*.la

override_dh_strip:
	dh_strip --dbgsym-migration='quagga-dbg (<< 1.1.0-1~)'

# avoid lintian warning package-has-unnecessary-activation-of-ldconfig-trigger
override_dh_makeshlibs:
	dh_makeshlibs --no-scripts
