## quagga 1.2.4

=== debian/changelog ===
quagga (1.2.4-4ubuntu0.5) focal-security; urgency=medium

  * SECURITY UPDATE: BGP overflow via TLV value
    - debian/patches/CVE-2024-44070.patch: check the actual remaining
      stream length before taking TLV value in bgpd/bgp_attr.c.
    - CVE-2024-44070

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Sep 2024 07:47:26 -0400

quagga (1.2.4-4ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via out-of-bounds read
    - debian/patches/CVE-2022-37032.patch: don't memcpy past end of buffer
      in bgpd/bgp_packet.c.
    - CVE-2022-37032
  * SECURITY UPDATE: DoS via BGP UPDATE without mandatory attributes
    - debian/patches/CVE-2023-46753.patch: check mandatory attributes more
      carefully for UPDATE message in bgpd/bgp_attr.c.
    - CVE-2023-46753

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Nov 2023 14:49:20 -0400

quagga (1.2.4-4ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2023-41358.patch: Do not process NLRIs if the
      attribute length is zero
    - debian/patches/CVE-2023-41360.patch: Don't read the first byte of ORF
      header if we are ahead of stream
    - CVE-2023-41358
    - CVE-2023-41360

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 16 Oct 2023 13:05:21 +0530

quagga (1.2.4-4build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:07:56 +0000

quagga (1.2.4-4) unstable; urgency=medium

  * Fix build depends (Closes: #932976)

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Fri, 02 Aug 2019 08:36:29 +0100

quagga (1.2.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Brett Parker ]
  * d/control: remove build dep on libpcre3-dev (Closes: #920310)

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Sat, 26 Jan 2019 10:32:12 +0000

quagga (1.2.4-2) unstable; urgency=low

  * Correct previous changelog entry for CVE numbers
  * Re-enable building of watchquagga
  * Re-instate sysvinit scripts (Closes: #849011, #865874)

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Sat, 31 Mar 2018 14:36:08 +0100

quagga (1.2.4-1) unstable; urgency=medium

  * New maintainer (Closes: #884919)
  * New upstream release (Closes: #890563)
    - Fixes CVE-2018-5378
    - Fixes CVE-2018-5379
    - Fixes CVE-2018-5380
    - Fixes CVE-2018-5381

 -- Brett Parker <iDunno@sommitrealweird.co.uk>  Sat, 17 Mar 2018 15:33:00 +0000

quagga (1.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #879474, #857187).
  * Rework patches to apply against new upstream version.
  * Change zebra daemon GID to allow writing to /run/quagga (Closes: #880522).
  * Change group permissions on Quagga.conf (Closes: #847106).
  * Add missing build-dep on libc-ares-dev.
  * Add patch for documentation fixes (Closes: #879971).

 -- Scott Leggett <scott@sl.id.au>  Sun, 05 Nov 2017 22:11:44 +1100
