=== debian/control ===
--- 
+++ 
@@ -1,32 +1,31 @@
 Source: quagga
 Section: net
 Priority: optional
-Maintainer: Scott Leggett <scott@sl.id.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brett Parker <iDunno@sommitrealweird.co.uk>
 Build-Depends:
- autotools-dev,
  chrpath,
  debhelper (>= 10.0.0),
- dh-autoreconf,
+ dh-exec,
  gawk,
  ghostscript,
  groff,
  imagemagick,
+ libc-ares-dev,
  libcap-dev,
  libncurses5-dev,
  libpam0g-dev | libpam-dev,
- libpcre3-dev,
  libreadline-dev,
- libsnmp-dev,
  moreutils,
  pkg-config,
  po-debconf,
  texinfo (>= 4.7),
  texlive-fonts-recommended,
- texlive-generic-recommended,
+ texlive-plain-generic,
  texlive-latex-base
-Standards-Version: 3.9.8
-Vcs-git: https://gitlab.com/smlx/quagga.git
-Vcs-browser: https://gitlab.com/smlx/quagga
+Standards-Version: 4.1.1
+Vcs-git: https://salsa.debian.org/debian/quagga.git
+Vcs-browser: https://salsa.debian.org/debian/quagga
 Homepage: http://www.quagga.net/
 
 Package: quagga
