=== debian/rules ===
--- 
+++ 
@@ -11,21 +11,18 @@
 export DH_ALWAYS_EXCLUDE = .gitignore
 
 %:
-	dh $@ --parallel --with autotools_dev --list-missing
+	dh $@ --parallel --list-missing
 
 override_dh_auto_configure:
-	# disable snmp due to openssl licensing issues
-	# disable watchquagga since we rely on systemd
 	dh_auto_configure -- \
 		--enable-exampledir=/usr/share/doc/quagga/examples/ \
 		--localstatedir=/run/quagga \
 		--sysconfdir=/etc/quagga \
-		--disable-watchquagga \
 		--with-libpam \
 		--enable-user=quagga \
 		--enable-group=quagga \
 		--enable-vty-group=quaggavty \
-		--enable-configfile-mask=0640 \
+		--enable-configfile-mask=0660 \
 		--enable-logfile-mask=0640 \
 		--enable-multipath=64 \
 		--libdir=/usr/lib/quagga \
@@ -44,6 +41,16 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='quagga-dbg (<< 1.1.0-1~)'
 
+override_dh_installinit:
+	dh_installinit --only-scripts -r --no-start -p quagga-core --name watchquagga
+	dh_installinit --only-scripts -r --no-start -p quagga-core --name zebra
+	dh_installinit --only-scripts -r --no-start -p quagga-bgpd --name bgpd
+	dh_installinit --only-scripts -r --no-start -p quagga-isisd --name isisd
+	dh_installinit --only-scripts -r --no-start -p quagga-ospf6d --name ospf6d
+	dh_installinit --only-scripts -r --no-start -p quagga-pimd --name pimd
+	dh_installinit --only-scripts -r --no-start -p quagga-ripd --name ripd
+	dh_installinit --only-scripts -r --no-start -p quagga-ripngd --name ripngd
+
 # avoid lintian warning package-has-unnecessary-activation-of-ldconfig-trigger
 override_dh_makeshlibs:
 	dh_makeshlibs --no-scripts
